<!DOCTYPE html>
<html>
<head>
	<title>Radio Element</title>
</head>

<style type="text/css">
	input[type="checkbox"] {
		position: absolute;
		left: -99999px;
	}

	input[type="checkbox"] + label{
		position: relative;
		padding: 0 0 0 60px;
		cursor: pointer;
	}

	input[type="checkbox"] + label::before{
		content: '';
		height: 10px;
		width: 30px;
		border-radius: 25px;
		background-color: #ccc;
		border: 2px solid #ccc;
		position: absolute;
		left: 0px;
		top: 0px;
		transition: 
	}

	input[type="checkbox"] + label::after{
		content: '';
		position: absolute;
		top: -2px;
		left: 0px;
		background-color: blue;
		border-radius: 50%;
		width: 18px;
		height: 18px;
		transition: left .2s linear, background-color .2s linear;
	}

	input[type="checkbox"]:checked + label::after{
		left: 17px;
		background-color: #000;
	}
</style>

<body>

	<input type="checkbox" name="this" id="radio1" value="radio1">
	<label for="radio1">Radio1</label><br>
<br>
	<input type="checkbox" name="this" id="radio2" value="radio2">
	<label for="radio2">Radio2</label>
<br>
	<p id="try"></p>
	<input type="button" value="click" onclick="enableIt()">
	<script type="text/javascript">
		
		function enableIt() 
		{
			var x = document.getElementById("radio1").checked;
			var y = document.getElementById("radio2").checked;

			if(x==false && y==false)
			{
				document.getElementById("try").innerHTML="none correct";
			}

			else if(x==true && y==true)
			{
				document.getElementById("try").innerHTML="both correct";
			}

			else if(x==true) 
			{
				document.getElementById("try").innerHTML="radio1 correct";
			}

			else if(y==true)
			{
				document.getElementById("try").innerHTML="radio2 correct";
			}
		}
	</script>
</body>
</html>